<?php
/**
 *  Guojiz网址导航系统
 *	www.guojiz.com
 *  作者：梦雨
 *  @ QQ50361804
 */
namespace app\index\controller;

use think\Controller;
use think\Db;
use think\Cache;
use WordAnalysis\Analysis;
class Apps extends Controller
{
    public function _initialize()
    {
        $this->assign('mk', 'apps');
        if (config('app.open')==0) {
            $this->success('您迷路了','/');
        }
        returnhtml();
    }
    public function index()
    {
        if (isMobile()) {
            $html='application/template/wap/'.MBWAP().'/app/index.html';
        } else {
            $html='application/template/pc/'.MBPC().'/app/index.html';
        }
        if (file_exists($html)) {
            return view($html);
        }else {
            return view('application/template/pc/guojiz/app/index.html');
        }
        
    }
    // 小程序
    public function app()
    {
        $this->assign('hover', 'app');
        if (getEN(input('id'))=='html') {
            $t = Db::name('app')->where(array('open' => 1))->find(findNum(input('id')));
            $c = Db::name('cate')->where(array('id' => $t['tid']))->find();
            $app='app_html';
            Db::name('app')->where(array(id => $t['id']))->setInc('view', 1);
            $_config['time']=date("Y-m-d");
            $_config['view']=1;
            $json = json_encode($_config,JSON_UNESCAPED_UNICODE);
            $data['config'] = $json;
            if ($t['config']) {
                $_data = explode("\n",$t['config']);
                $config = $_data;
                $k = date("Y-m-d");
                
                foreach (array_slice(explode("\n",$t['config']),-30) as $key => $value) {
                    $Js=json_decode($value); 
                    $Jsy+=$Js->view;
                }
                $data['yue'] = $Jsy;//月点击
                foreach (array_slice(explode("\n",$t['config']),-365) as $key => $value) {
                    $Jn=json_decode($value); 
                    $Jsn+=$Jn->view;
                }
                $data['nian'] = $Jsn;//年点击
                
                foreach ($_data as $key => $value) {
                    $J=json_decode($value); 
                    if($J->time == $k){
                        unset($_data[$key]);
                        $_config['time']=date("Y-m-d");
                        $_config['view']=$J->view+1;
                        $json = json_encode($_config,JSON_UNESCAPED_UNICODE);
                        $_d = implode(PHP_EOL,$_data);
                        $data['config'] = $_d.PHP_EOL.$json;
                        $data['ri'] = $_config['view'];//今日点击
                    }else{
                        $data['config'] = $t['config'].PHP_EOL.$json;
                    }
                }
                
            }
            Db::name('app')->strict(false)->where(array(id => $t['id']))->update($data);
        }else{
            $c = Db::name('cate')->where(array('open' => 1))->find(findNum(input('id')));
            $app='app';
        }
        $this->assign(array('c'=>$c,'t'=>$t,'config'=>$config));
        if (isMobile()) {
            $html='application/template/wap/'.MBWAP().'/app/'.$app.'.html';
        } else {
            $html='application/template/pc/'.MBPC().'/app/'.$app.'.html';
        }
        if (file_exists($html)) {
            return view($html);
        }else {
            return view('application/template/pc/guojiz/app/'.$app.'.html');
        }
    }
    //公众号
    public function weixin()
    {
        $this->assign('hover', 'weixin');
        if (getEN(input('id'))=='html') {
            $t = Db::name('weixin')->where(array('open' => 1))->find(findNum(input('id')));
            $c = Db::name('cate')->where(array('id' => $t['tid']))->find();
            $app='weixin_html';
            Db::name('weixin')->where(array(id => $t['id']))->setInc('view', 1);
            $_config['time']=date("Y-m-d");
            $_config['view']=1;
            $json = json_encode($_config,JSON_UNESCAPED_UNICODE);
            $data['config'] = $json;
            if ($t['config']) {
                $_data = explode("\n",$t['config']);
                $config = $_data;
                $k = date("Y-m-d");
                foreach (array_slice(explode("\n",$t['config']),-30) as $key => $value) {
                    $Js=json_decode($value); 
                    $Jsy+=$Js->view;
                }
                $data['yue'] = $Jsy;//月点击
                foreach (array_slice(explode("\n",$t['config']),-365) as $key => $value) {
                    $Jn=json_decode($value); 
                    $Jsn+=$Jn->view;
                }
                $data['nian'] = $Jsn;//年点击
                foreach ($_data as $key => $value) {
                    $J=json_decode($value); 
                    if($J->time == $k){
                        unset($_data[$key]);
                        $_config['time']=date("Y-m-d");
                        $_config['view']=$J->view+1;
                        $json = json_encode($_config,JSON_UNESCAPED_UNICODE);
                        $_d = implode(PHP_EOL,$_data);
                        $data['config'] = $_d.PHP_EOL.$json;
                        $data['ri'] = $_config['view'];//今日点击
                    }else{
                        $data['config'] = $t['config'].PHP_EOL.$json;
                    }
                }
            }
            Db::name('weixin')->strict(false)->where(array(id => $t['id']))->update($data);
        }else{
            $c = Db::name('cate')->where(array('open' => 1))->find(findNum(input('id')));
            $app='weixin';
        }
        $this->assign(array('c'=>$c,'t'=>$t,'config'=>$config));
        if (isMobile()) {
            $html='application/template/wap/'.MBWAP().'/app/'.$app.'.html';
        } else {
            $html='application/template/pc/'.MBPC().'/app/'.$app.'.html';
        }
        if (file_exists($html)) {
            return view($html);
        }else {
            return view('application/template/pc/guojiz/app/'.$app.'.html');
        }
    }
    // 提交
    public function submit()
    {
        if (!user('userid')) {
            die('<div style="position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%,-50%);
            -webkit-transform: translate(-50%,-50%);
            -moz-transform: translate(-50%,-50%);
            -ms-transform: translate(-50%,-50%);
            text-align: center;">请先登录</div>');
        }
        if (config('app.tj')!=1) {
            die('当前已关闭提交');
        }
        if (request()->isPost()) {
            $_data = $this->request->post();
            $c = Db::name('cate')->where(array('id' => $_data['tid']))->find();
            if (!$c) {
                $this->error('请选择正确的分类');
            }
            if ($_data['keywords'] == '') {
                $_ks = preg_replace("/[a-z,A-Z]|[0-9]/", "", $_data['description']);
                $data['keywords'] = Analysis::getKeywords($_ks,20);
            }
            if (input('m')=='app') {
                // 小程序
                if (input('kuai')) {
                    if (user('point') < config('app.jifen_app')) {
                        $this->error('' . config('point.GJJF-MING') . '不足请充值');
                    }else{
                       points(config('app.jifen_app'), session('userid'), '小程序快审'); 
                       $data['open'] = 1;
                    }
                } else {
                    $data['open'] = 0;
                }
            }
            if (input('m')=='weixin') {
                // 公众号
                if (input('kuai')) {
                    if (user('point') < config('app.jifen_weixin')) {
                        $this->error('' . config('point.GJJF-MING') . '不足请充值');
                    }else{
                       points(config('app.jifen_weixin'), session('userid'), '公众号快审'); 
                       $data['open'] = 1;
                    }
                } else {
                    $data['open'] = 0;
                }
                $data['leixing'] = $_data['leixing'];
            }
            $data['www'] = preg_replace("#^(http(s?))?(://)#", "", $_data['www']);
            $data['zhuti'] = $_data['zhuti'];
            $data['time'] = time();
            $data['title'] = $_data['title'];
            $data['tid'] = $_data['tid'];
            $data['ico'] = $_data['ico'];
            $data['ma'] = $_data['ma'];
            $data['description'] = $_data['description'];
            $add = Db::name(input('m'))->strict(false)->insert($data);
            if (!$add) {
                $this->error('提交失败');
            } else {
                $this->success('提交成功');
            }
        }
        $app='submit';
        if (isMobile()) {
            $html='application/template/wap/'.MBWAP().'/app/'.$app.'.html';
        } else {
            $html='application/template/pc/'.MBPC().'/app/'.$app.'.html';
        }
        if (file_exists($html)) {
            return view($html);
        }else {
            return view('application/template/pc/guojiz/app/'.$app.'.html');
        }
    }
}