<?php
/**
 *  Guojiz网址导航系统
 *	www.guojiz.com
 *  作者：梦雨
 *  @ QQ50361804
 */
use app\common\Hook;
use Captcha\Captcha;
use org\Http;
use think\Cache;
use think\Db;
use think\Loader;
use think\Request;
use Think\Config;
use think\Cookie;
use think\Session;
use think\Url;
use QL\QueryList;
use PHPMailer\PHPMailer;
use WordAnalysis\Analysis;
// 应用公共文件
error_reporting(E_ERROR | E_PARSE);
/*
邮件发送
*/
function send_mail($tomail, $subject = '', $body = '')
{
    if (warning() == 2) {
        $mail = new PHPMailer(true);
        //实例化PHPMailer对象
        $mail->CharSet = 'UTF-8';
        //设定邮件编码，默认ISO-8859-1，如果发中文此项必须设置，否则乱码
        $mail->IsSMTP();
        // 设定使用SMTP服务
        $mail->SMTPDebug = 0;
        // SMTP调试功能 0=关闭 1 = 错误和消息 2 = 消息
        $mail->SMTPAuth = true;
        // 启用 SMTP 验证功能
        $mail->SMTPSecure = 'ssl';
        // 使用安全协议
        $mail->Host = guojiz('mailHost');
        // SMTP 服务器
        $mail->Port = guojiz('mailPort');
        // SMTP服务器的端口号
        $mail->Username = guojiz('mailUsername');
        // SMTP服务器用户名
        $mail->Password = guojiz('mailPassword');
        // SMTP服务器密码
        $mail->SetFrom('' . guojiz('mailUsername') . '', '' . guojiz('title') . '');
        $mail->Subject = $subject;
        $mail->MsgHTML($body);
        $mail->AddAddress($tomail);
        return $mail->Send() ? true : $mail->ErrorInfo;
    }
}
//ip黑名单公用
function htmltext($str)
{
    $str = preg_replace("/<style .*?<\\/style>/is", "", $str);
    $str = preg_replace("/<script .*?<\\/script>/is", "", $str);
    $str = preg_replace("/<p .*?<\\/p>/is", "", $str);
    $str = preg_replace("/<br \\s*\\/>/i", "", $str);
    $str = preg_replace("/<\\/?p>/i", "", $str);
    $str = preg_replace("/<\\/?td>/i", "", $str);
    $str = preg_replace("/<\\/?div>/i", "", $str);
    $str = preg_replace("/<\\/?ul>/i", "", $str);
    $str = preg_replace("/<\\/?span>/i", "", $str);
    $str = preg_replace("/<\\/?li>/i", "", $str);
    $str = preg_replace("/ /i", " ", $str);
    $str = preg_replace("/ /i", " ", $str);
    $str = preg_replace("/&/i", "&", $str);
    $str = preg_replace("/&/i", "&", $str);
    $str = preg_replace("/</i", "<", $str);
    $str = preg_replace("/</i", "<", $str);
    $str = preg_replace("/“/i", '"', $str);
    $str = preg_replace("/&ldquo/i", '"', $str);
    $str = preg_replace("/‘/i", "'", $str);
    $str = preg_replace("/&lsquo/i", "'", $str);
    $str = preg_replace("/'/i", "'", $str);
    $str = preg_replace("/&rsquo/i", "'", $str);
    $str = preg_replace("/>/i", ">", $str);
    $str = preg_replace("/>/i", ">", $str);
    $str = preg_replace("/”/i", '"', $str);
    $str = preg_replace("/&rdquo/i", '"', $str);
    $str = strip_tags($str);
    $str = html_entity_decode($str, ENT_QUOTES, "utf-8");
    $str = preg_replace("/&#.*?;/i", "", $str);
    return $str;
}
$hoss = (include 'application/extra/ip.php');
if (strpos($hoss['ip'], $_SERVER["REMOTE_ADDR"]) !== false) {
    //header(sprintf('Location:%s', $hoss['ipwww']));
    exit($hoss['ipts']);
}
// empty($_SERVER['HTTP_VIA']) or exit('Access Denied');
//防止快速刷新
session_start();
$seconds = $hoss['ipmiao'];
//时间段[秒]
$refresh = $hoss['ipshu'];
//刷新次数
//设置监控变量
$cur_time = time();
if (isset($_SESSION['last_time'])) {
    $_SESSION['refresh_times'] += 1;
} else {
    $_SESSION['refresh_times'] = 1;
    $_SESSION['last_time'] = $cur_time;
}
//处理监控结果
if ($cur_time - $_SESSION['last_time'] < $seconds) {
    if ($_SESSION['refresh_times'] >= $refresh) {
        //跳转至攻击者服务器地址
        //header(sprintf('Location:%s', 'http://127.0.0.1'));
        exit('' . $hoss['ipccts'] . '，稍候' . $seconds . '秒后再访问！');
    }
} else {
    $_SESSION['refresh_times'] = 0;
    $_SESSION['last_time'] = $cur_time;
}
/**
 * 定义值
 * @param  [type] $s 初始值
 * @param  string $v 定义
 * @return [type]    [description]
 */
function dingyi($s, $v = '1')
{
    if (empty($s)) {
        return $v;
    } else {
        return $s;
    }
}
/**
 * 图片检查是否是木马
 * @param  [type] $img [description]
 * @return [type]      [description]
 */
function checkHex($img)
{
    $status = 0;
    //文件没问题
    if (file_exists($img)) {
        $resource = fopen($img, 'rb');
        $fileSize = filesize($img);
        fseek($resource, 0);
        if ($fileSize > 512) {
            // 取头和尾
            $hexCode = bin2hex(fread($resource, 512));
            fseek($resource, $fileSize - 512);
            $hexCode .= bin2hex(fread($resource, 512));
        } else {
            // 取全部
            $hexCode = bin2hex(fread($resource, $fileSize));
        }
        fclose($resource);
        /* 匹配16进制中的 <% ( ) %> */
        /* 匹配16进制中的 <? ( ) ?> */
        /* 匹配16进制中的 <script | /script> 大小写亦可 */
        if (preg_match("/(3c25.*?28.*?29.*?253e)|(3c3f.*?28.*?29.*?3f3e)|(3C534352495054)|(2F5343524950543E)|(3C736372697074)|(2F7363726970743E)/is", $hexCode)) {
            $status = 5;
            //文件有毒
        }
    } else {
        $status = -1;
        //文件没有上传
    }
    return $status;
}
//万能输出数据不带翻页随机推荐
function fun_sj($set, $open, $x)
{
    $wanneng = Db::name($set)->where($open)->orderRaw('rand()')->limit($x)->select();
    return $wanneng;
}
/*
搜索
fun_so(表, 条件, 关键词,显示数量)
*/
function fun_so($set, $open, $ks, $x, $y, $cate='category', $soso='f.title-f.lianjie-f.keywords-f.content')
{
    $soso = preg_replace("/-/", "|", $soso);
    $wanneng = Db::name($set)->alias('f')->join(''.$cate.' c', 'c.id=f.tid')->field('f.*,c.id as cid')->order('f.id desc')->where($open)->where($soso, 'like', '%' . $ks . '%')->paginate($x, $y, $config = ['query' => array('ks' => $ks)]);
    return $wanneng;
}
//转换数组输出
function exps($ks)
{
    $a = explode(",", $ks);
    return $a;
}
/**
 * 任意获取页面数据
 * @param [type] $url  获取的链接
 * @param [type] $id   选择器 class 和id的容器
 * @param string $html 获取页面的类型 html是包含标签 text是纯文本 href是链接 src是图片地址
 */
function Query($url, $id, $html = 'html')
{
    $rules = array('html' => array($id, $html));
    $data = QueryList::Query($url, $rules)->data;
    
    return $data[0]['html'];
}
function cut_c($content, $cut = '200')
{
    $content = preg_replace('/\\"/i', '', str_replace(PHP_EOL, '', cut(strip_tags($content), $cut)));
    $content = preg_replace("/\\'/i", "", str_replace(PHP_EOL, "", cut(strip_tags($content), $cut)));
    return $content;
}
/**
 * 获取内容的图片信息
 * @param  [type] $content [description]
 * @param  string $order   [description]
 * @return [type]          [description]
 */
function getImgList($content, $order = 'ALL')
{
    $html_string = htmlspecialchars_decode($content);
    $pattern = "/<[img|IMG].*?src=[\\'|\"](.*?(?:[\\.gif|\\.jpg|\\.png]))[\\'|\"].*?[\\/]?>/";
    preg_match_all($pattern, $html_string, $match);
    if (isset($match[1]) && !empty($match[1])) {
        if ($order === 'ALL') {
            return $match[1];
        }
        if (is_numeric($order) && isset($match[1][$order])) {
            return $match[1][$order];
        }
    }
    return [];
}
/**
 * 时间戳转换
 * @param  [type] $posttime [description]
 * @param  string $jing     [description]
 * @return [type]           [description]
 */
function times($posttime, $jing = '')
{
    $now = time();
    $end = 86400 * 10;
    $dif = $now - $posttime;
    if ($dif <= 3600) {
        if (!$jing) {
            return '<span style="color:red">' . ceil($dif / 60) . '分钟前</span>';
        } else {
            return ceil($dif / 60) . '分钟前';
        }
    } else {
        if ($dif > 3600 && $dif < 86400) {
            return ceil($dif / 3600) . '小时前';
        } else {
            if ($dif > 86400 && $dif < $end) {
                return ceil($dif / 86400) . '天前';
            } else {
                return date('m-d', $posttime);
            }
        }
    }
}
/**
 * 指定字符随机输出1个
 * @param  [type] $c [description]
 * @return [type]    [description]
 */
function gj_sj($c)
{
    $a = explode(',', $c);
    shuffle($a);
    $b = array_slice($a, 0, $n);
    return $b[0];
}
/**
 * 用于数组中搜索键值
 * @param  [type] $l [description]
 * @param  [type] $s [description]
 * @return [type]    [description]
 */
function socha($l, $s)
{
    $arr = explode(',', '' . $l . '');
    if (strlen(array_search($s, $arr)) >= 1) {
        return 1;
    } else {
        return 0;
    }
}
/**
 * 发送post请求
 * @param string $url 请求地址
 * @param array $post_data post键值对数据
 * @return string
 */
function send_post($url, $post_data)
{
    $postdata = http_build_query($post_data);
    $options = array('http' => array('method' => 'POST', 'header' => 'Content-type:application/x-www-form-urlencoded', 'content' => $postdata, 'timeout' => 15 * 60));
    $context = stream_context_create($options);
    $result = file_get_contents($url, false, $context);
    return $result;
}
/**
 * 发送短信
 * @param  [type] $phone   [description]
 * @param  [type] $content [description]
 * @return [type]          [description]
 */
function duanxin($phone, $content)
{
    $hoss = (include 'application/extra/phone.php');
    if (!preg_match("/^1[34578]{1}\\d{9}\$/", $phone)) {
        return json(array('code' => 0, 'msg' => '手机号码格式错误'));
    }
    if($hoss['jk']==1){
        $statusStr = array(
            "4001" => "短信配置 用户名错误", 
            "4002" => "短信配置 密码不能为空",
            "4003" => "短信内容不能为空",
            "4003" => "手机号码错误",
            "4007" => "短信用户禁用",
             );
        $url = "https://api.mix2.zthysms.com/v2/sendSms";
        $post_data = array(
            'username' => $hoss['gname'],
            'password' => md5(md5($hoss['gps']).time()),
            'tKey' => time(),
            'mobile' => input('name'),
            'content' => $content,
        );
        $postdata = json_encode($post_data);
        $options = array('http' => array('method' => 'POST', 'header' => 'Content-type:application/json', 'content' => $postdata, 'timeout' => 15 * 60));
        $context = stream_context_create($options);
        $result = file_get_contents($url, false, $context);
        $b = json_decode($result);
        $s = $b->code;
        if ($s != 200) {
            exit('{"code":0,"msg":"'.$statusStr[$s].'"}');
        }
    }else{
        $statusStr = array("0" => "短信发送成功", "-1" => "参数不全", "-2" => "服务器空间不支持,请确认支持curl或者fsocket，联系您的空间商解决或者更换空间！", "30" => "配置密码错误", "40" => "账号不存在", "41" => "当前余额不足", "42" => "帐户已过期", "43" => "IP地址限制", "50" => "内容含有敏感词");
        $smsapi = "http://api.smsbao.com/";
        $user = $hoss['name'];
        //短信平台帐号
        $pass = md5($hoss['dxb_ps']);
        //短信平台密码
        $sendurl = $smsapi . "sms?u=" . $user . "&p=" . $pass . "&m=" . $phone . "&c=" . urlencode($content);
        $result = file_get_contents($sendurl);
        if (socha($result, '0') != 1) {
            exit('{"code":0,"msg":'.$statusStr[$result].'}');
        }
    }
}
/**
 * 提取英文
 * @param $srchKeyword
 */
function getEN($srchKeyword){
	$preg_repOne = array('/[-][a-zA-Z][0-9]/i', '/[0-9]/i', '/[a-zA-Z][0-9][-]/i', '/[^\[0-9]da-zA-Z]/i', '/\(|\)/', '/\《|\》/', '/\+|\-|\*|\//' , '/\{|\}/', '/\<|\>/', '/\【|\】/', '/\[|\]/', '/\（|\）/'
	);
	$preg_repTwo = array(' ',
	PHP_EOL,
    '-', '\'', '/', '\\', '[', ']', '{', '}', 'è', 'β', '±', '^', '’', '~', '-', '+', '.', '。', '\'', '#', '@', '!', '&', '*', '<', '>', '%', 'α', 'γ', 'ε', '', '<i>', '</i>' , '[', ']', '-', 'δ', '+', '【', '】', '#', ';', '\\r', '\′', '′', '(', ')', '（', '）', ',', '_');
	$str = preg_replace($preg_repOne, array('', ''), $srchKeyword);
	$str = str_replace($preg_repTwo, array('', ''), $str);
	$str = mb_substr($str, 0, 255, 'utf-8');
	return strtolower($str);
}
/**
 * 提取数字
 * @param $srchKeyword
 */
function findNum($str=''){
    $str=trim($str);
    if(empty($str)){return '';}
    $temp=array('1','2','3','4','5','6','7','8','9','0');
    $result='';
    for($i=0;$i<strlen($str);$i++){
        if(in_array($str[$i],$temp)){
            $result.=$str[$i];
        }
    }
    return $result;
}
 /**
 * 判断单双
 * 1为单，0为双
 * @param  array|integer $numbers 
 * @return int
 */
function judgeSingDual($numbers){
    if(is_array($numbers)){
        $total=0;
        foreach ($numbers as $n){
            $total+=intval($n);
        }
        if($total%2==0){
            return 0;
        }else{
            return 1;
        }
    }else{
        if($numbers%2==0){
            return 0;
        }else{
            return 1;
        }
    }

}
//获取json值
function vo_json($json,$v){
    $J=json_decode($json); 
    return $J->$v;
}
// 获取某一时间的统计
function vo_c($json,$type,$vo='view'){
    $time = strtotime(date('Y-m-d', strtotime('' . $type . ' day')));
    $time = date('Y-m-d',$time);
    if ($vo=='time') {
        return $time; 
    }
    foreach ($json as $key => $v) {
        $J=json_decode($v); 
        if($J->time == $time){
            return $J->$vo; 
        }
    }
}
/**
 * 获取关键字
 * @param  [type]  $content [description]
 * @param  integer $s       [description]
 * @return [type]           [description]
 */
function ks($content, $s = 10)
{
    return Analysis::getKeywords($content, $s);
}
 