<?php
/**
 *  Guojiz网址导航系统
 *	www.guojiz.com
 *  作者：梦雨
 *  @ QQ50361804
 */
use think\Route;
Route::rule('tag/[:tag]','index/index/tag');
Route::rule('tags/[:tag]','index/index/tags');
Route::rule('dans/[:id]','index/index/dan');
if (config('set.jt')==1) {
    Route::get('/','index/index/index',[
    	'cache'	=>	[ '/',config('set.miao'),'/']
    ]);
    Route::get('list/[:id]','index/index/lists',[
    	'cache'	=>	[ 'list/[:id]/:page',config('set.miao'),'list']
    ]);
    Route::get('view/[:id]/[:px]','index/index/view',[
    	'cache'	=>	[ 'view/[:id]/[:px]/:page',config('set.miao'),'view']
    ]);
    Route::get('daohang/[:id]','index/index/html',[
    	'cache'	=>	[ 'daohang/[:id]',config('set.miao'),'daohang']
    ]);
    
    Route::get('new','index/index/news',[
    	'cache'	=>	[ 'new/:page',config('set.miao'),'daohang']
    ]);
    
    Route::get('article/[:id]','index/index/article',[
    	'cache'	=>	[ 'article/[:id]/:page',config('set.miao'),'article']
    ]);
    Route::get('xq/[:id]','index/index/xq',[
    	'cache'	=>	[ 'xq/[:id]',config('set.miao'),'xq']
    ]);
    Route::get('top/[:id]/[:type]','index/index/top',[
    	'cache'	=>	[ 'top/[:id]/[:type]',config('set.miao'),'xq']
    ]);
} else {
    Route::rule('list/[:id]','index/index/lists');
    Route::rule('top/[:id]/[:type]','index/index/top');
    Route::rule('view/[:id]/[:px]','index/index/view');
    Route::rule('daohang/[:id]','index/index/html');
    Route::rule('new','index/index/news');
    Route::rule('article/[:id]','index/index/article');
    Route::rule('xq/[:id]','index/index/xq');
}
Route::rule('topjd/[:id]/[:lailu]','index/index/topdj');
Route::rule('wangjd/[:id]/[:lailu]','index/wang/wangdj');
Route::rule('s/[:or]/[:id]','index/index/guojiz');


Route::rule('app/[:id]','index/apps/app');
Route::rule('weixin/[:id]','index/apps/weixin');
Route::rule('submit/[:id]','index/apps/submit');

return [
    '__pattern__' => [ 'name' => '\w+', ],
    '[home]' => [':id'   => ['index/user/home', ['id' => '\d+']],],
	'[edit]' => [ ':id'   => ['index/html/edit', ['id' => '\d+']],],
	'[edits]' => [':id'   => ['index/comment/edit', ['id' => '\d+']],],
	'choice' => ['index/index/choice',['ext'=>'html']],
	'search' => ['index/index/search',['ext'=>'html']],
	'add' => ['index/html/add',['ext'=>'html']],
	'guanyu' => ['index/html/guanyu',['ext'=>'html']],
	'ad' => ['index/html/ad',['ext'=>'html']],
	'newsso' => ['index/index/newsso',['ext'=>'html']],
	'[w]' => [ ':id'   => ['index/wang/w', ['id' => '\d+']],],
	'vip' => ['index/sq/vip',['ext'=>'html']],
	'kuai' => ['index/user/kuai',['ext'=>'html']],
	'de' => ['index/index/de',['ext'=>'html']],
];